import type { CNode } from 'css-render';
export declare type Components = 'Switch' | 'Tabs';
export declare type ComponentThemeVars = Record<string, string>;
export interface SwitchThemeVars extends ComponentThemeVars {
    checkedColor: string;
    checkedBackground: string;
    uncheckedColor: string;
    uncheckedBackground: string;
    handlerColor: string;
    handleBoxShadow: string;
    rippleColor: string;
}
export interface TabsThemeVars extends ComponentThemeVars {
    activeColor: string;
}
export interface ThemeVars extends Partial<Record<Components, ComponentThemeVars>> {
    Switch?: SwitchThemeVars;
    Tabs?: TabsThemeVars;
}
export declare const ColorSchemeTemplate: Record<Components, (vars: ComponentThemeVars) => CNode>;
