import { Transition, defineComponent, onMounted, renderSlot, toRefs } from 'vue';
import { useThemeRegister, createComponentVNode, c } from '../_utils_';
export default defineComponent({
    name: 'BaseTransition',
    props: {
        appear: Boolean,
        name: String,
        enterFrom: Object,
        leaveTo: Object
    },
    setup(props, { slots }) {
        const { appear, name, enterFrom, leaveTo } = toRefs(props);
        onMounted(() => {
            var _a, _b, _c;
            useThemeRegister({
                key: `McBaseTransition-${name.value}`,
                main: c([c(`.${name.value}-enter-from`, Object.assign({}, ((_a = enterFrom.value) !== null && _a !== void 0 ? _a : {}))), c(`.${name.value}-leave-to`, Object.assign({}, ((_c = (_b = leaveTo.value) !== null && _b !== void 0 ? _b : enterFrom.value) !== null && _c !== void 0 ? _c : {})))])
            });
        });
        return () => createComponentVNode(Transition, { name: name.value, appear: appear.value }, {
            default: () => renderSlot(slots, 'default')
        });
    }
});
