import { ThemeMap } from './useThemeRegister';
import { ColorSchemeTemplate } from '../_theme_';
export function defineTheme(name, config) {
    const { inherit, theme = {} } = config;
    const states = Object.entries(theme).map(([key, vars]) => {
        return {
            key: `Mc${key}-${name}`,
            name: key,
            isMounted: false,
            isStatic: false,
            theme: ColorSchemeTemplate[key](vars)
        };
    });
    ThemeMap.set(name, { inherit, states });
}
