import type { Slots } from 'vue';
import type { SpecificVNode } from './tsutils';
export interface FlattenOptions {
    slots?: Slots;
    name?: string;
    key?: Symbol | Symbol[];
    infinity?: boolean;
}
/**
 *
 * @param vNodes flatten target
 * @param identificationKey filter key
 * @param mode When mode is true, every elements in vNodes which iKey === identificationKey will be filtered
 * @param result
 * @returns
 */
export declare function flatten<T = Record<string, unknown>>(vNodes?: SpecificVNode<T>[], identificationKey?: Symbol | Symbol[], mode?: boolean, result?: SpecificVNode<T>[], isInfinity?: boolean): SpecificVNode<T>[];
export declare function flattenWithOptions<T = Record<string, unknown>>(options: FlattenOptions, mode?: boolean, result?: SpecificVNode<T>[]): SpecificVNode<T>[];
export declare function flattenTree<T extends Partial<object & Record<K, T[]>>, K extends keyof T>(tree: T[], key: K, result?: Omit<T, K>[]): Omit<T, K>[];
