import { computed } from 'vue';
import { useI18nController } from '../i18n';
import zh_CN from '../_locale_/zh-CN';
import en_US from '../_locale_/en-US';
export function useI18n(module) {
    const { current } = useI18nController();
    const i18nData = computed(() => {
        if (current.value === 'en-US')
            return en_US;
        return zh_CN;
    });
    return {
        locale: current,
        i18n: (chainKey, defaultVal = '') => {
            var _a, _b, _c;
            const [name, key] = (module ? `${module}.${chainKey}` : chainKey).split('.');
            return (_c = (_b = (_a = i18nData.value) === null || _a === void 0 ? void 0 : _a[name]) === null || _b === void 0 ? void 0 : _b[key]) !== null && _c !== void 0 ? _c : defaultVal;
        }
    };
}
