import type { InjectionKey, Ref, VNodeChild, PropType } from 'vue';
import type { UseEventBusReturn } from '@vueuse/core';
import type { UISize } from '../_utils_';
export interface CheckboxGroupInjection {
    groupValue?: Ref<CheckboxValue[] | undefined>;
    groupCheckedColor: Ref<string | undefined>;
    groupDisabled: Ref<boolean | undefined>;
    updateGroupValue: (value?: CheckboxValue, call?: boolean) => void;
    BusSelectAll: UseEventBusReturn<boolean, any>;
    BusMaxControl: UseEventBusReturn<boolean, any>;
}
export declare const checkboxGroupInjectionKey: InjectionKey<CheckboxGroupInjection>;
export declare const checkboxIKey: unique symbol;
export declare type CheckboxValue = string | number | boolean;
export declare type CheckboxSize = UISize;
export declare type CheckboxGroupStatus = {
    all: boolean;
    indeterminate: boolean;
};
export interface CheckboxGroupOptions {
    value?: CheckboxValue;
    label?: string | (() => VNodeChild);
    disabled?: boolean;
}
export interface CheckboxProps {
    value?: CheckboxValue;
    label?: string;
    size?: CheckboxSize;
    checkedValue?: CheckboxValue;
    uncheckedValue?: CheckboxValue;
    disabled?: boolean;
    indeterminate?: boolean;
    checkedColor?: string;
}
export interface CheckboxGroupProps {
    value?: CheckboxValue[];
    options?: CheckboxGroupOptions[];
    max?: number;
    disabled?: boolean;
    checkedColor?: string;
}
export interface CheckboxGroupExposeInstance {
    selectAll: (selectDisabled?: boolean) => void;
    clear: () => void;
    status: CheckboxGroupStatus;
    el: HTMLElement;
}
export declare const checkboxProps: {
    value: {
        type: PropType<CheckboxValue | undefined>;
        default: undefined;
    };
    label: {
        type: PropType<string | undefined>;
        default: undefined;
    };
    size: {
        type: PropType<UISize | undefined>;
        default: string;
    };
    checkedValue: {
        type: PropType<CheckboxValue | undefined>;
        default: boolean;
    };
    uncheckedValue: {
        type: PropType<CheckboxValue | undefined>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    indeterminate: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    checkedColor: {
        type: PropType<string | undefined>;
        default: undefined;
    };
};
export declare const checkboxGroupPros: {
    value: {
        type: PropType<CheckboxValue[] | undefined>;
        default: undefined;
    };
    options: {
        type: PropType<CheckboxGroupOptions[] | undefined>;
        default: undefined;
    };
    max: {
        type: PropType<number | undefined>;
        default: undefined;
    };
    disabled: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    checkedColor: {
        type: PropType<string | undefined>;
        default: string;
    };
};
