export const layoutInjectionKey = Symbol('layoutInjectionKey');
export const layoutIKey = Symbol('layout');
export const layoutHeaderIKey = Symbol('layoutHeader');
export const layoutContentIKey = Symbol('layoutContent');
export const layoutFooterIKey = Symbol('layoutFooter');
export const layoutSiderIKey = Symbol('layoutSider');
export const basicColumnLayoutComponentIKey = Symbol('basicColumnLayoutComponent');
export const basicRowLayoutComponentIKey = Symbol('basicRowLayoutComponent');
export const layoutProps = {
    preset: {
        type: String,
        default: undefined
    },
    siderRight: {
        type: Boolean,
        default: false
    },
    siderWidth: {
        type: [String, Number],
        default: 100
    },
    leftSiderWidth: {
        type: [String, Number],
        default: 100
    },
    rightSiderWidth: {
        type: [String, Number],
        default: 100
    },
    fixedSider: {
        type: Boolean,
        default: undefined
    },
    fixedLeftSider: {
        type: Boolean,
        default: undefined
    },
    fixedRightSider: {
        type: Boolean,
        default: undefined
    },
    fixedHeader: {
        type: Boolean,
        default: undefined
    },
    fixedFooter: {
        type: Boolean,
        default: undefined
    },
    siderStyle: {
        type: [Object, String],
        default: undefined
    },
    leftSiderStyle: {
        type: [Object, String],
        default: undefined
    },
    rightSiderStyle: {
        type: [Object, String],
        default: undefined
    },
    headerStyle: {
        type: [Object, String],
        default: undefined
    },
    contentStyle: {
        type: [Object, String],
        default: undefined
    },
    footerStyle: {
        type: [Object, String],
        default: undefined
    },
    siderClass: {
        type: [Object, String, Array],
        default: undefined
    },
    leftSiderClass: {
        type: [Object, String, Array],
        default: undefined
    },
    rightSiderClass: {
        type: [Object, String, Array],
        default: undefined
    },
    headerClass: {
        type: [Object, String, Array],
        default: undefined
    },
    contentClass: {
        type: [Object, String, Array],
        default: undefined
    },
    footerClass: {
        type: [Object, String, Array],
        default: undefined
    },
    showSider: {
        type: Boolean,
        default: true
    },
    showLeftSider: {
        type: Boolean,
        default: true
    },
    showRightSider: {
        type: Boolean,
        default: true
    },
    showHeader: {
        type: Boolean,
        default: true
    },
    showContent: {
        type: Boolean,
        default: true
    },
    showFooter: {
        type: Boolean,
        default: true
    }
};
export const layoutSiderProps = {
    width: {
        type: [String, Number],
        default: 100
    },
    bordered: {
        type: Boolean,
        default: false
    },
    collapsed: {
        type: Boolean,
        default: false
    },
    collapsable: {
        type: Boolean,
        default: false
    },
    collapsedWidth: {
        type: [String, Number],
        default: 64
    },
    triggerPosition: {
        type: Object,
        default: undefined
    },
    triggerType: {
        type: String,
        default: 'button'
    },
    transitionMode: {
        type: String,
        default: 'width'
    },
    onBeforeToggle: {
        type: Function,
        default: undefined
    }
};
export const layoutHeaderProps = {
    bordered: {
        type: Boolean,
        default: false
    }
};
export const layoutFooterProps = {
    bordered: {
        type: Boolean,
        default: false
    }
};
