import { defineComponent, getCurrentInstance, createVNode, renderSlot } from 'vue';
import { layoutContentIKey, layoutIKey } from '../interface';
export default defineComponent({
    name: 'LayoutContent',
    iKey: layoutContentIKey,
    setup(props, { slots }) {
        var _a;
        const { parent } = (_a = getCurrentInstance()) !== null && _a !== void 0 ? _a : {};
        if (parent && parent.type.iKey !== layoutIKey) {
            throw new Error('[McLayoutHeader]: McLayoutHeader must be placed inside McLayout.');
        }
        // main logic...
        return () => {
            return createVNode('main', { class: 'mc-layout-content' }, [renderSlot(slots, 'default')]);
        };
    }
});
