import { defineComponent, getCurrentInstance, createVNode, renderSlot, toRefs } from 'vue';
import { layoutFooterIKey, layoutIKey, layoutHeaderProps } from '../interface';
export default defineComponent({
    name: 'LayoutFooter',
    iKey: layoutFooterIKey,
    props: layoutHeaderProps,
    setup(props, { slots }) {
        var _a;
        const { parent } = (_a = getCurrentInstance()) !== null && _a !== void 0 ? _a : {};
        if (parent && parent.type.iKey !== layoutIKey) {
            throw new Error('[McLayoutHeader]: McLayoutHeader must be placed inside McLayout.');
        }
        const { bordered } = toRefs(props);
        // main logic...
        return () => {
            return createVNode('footer', { class: ['mc-layout-footer', bordered.value ? 'mc-layout-footer--bordered' : ''] }, [renderSlot(slots, 'default')]);
        };
    }
});
