import { defineComponent, toRefs, createVNode, renderSlot, getCurrentInstance } from 'vue';
import { layoutHeaderIKey, layoutIKey, layoutHeaderProps } from '../interface';
export default defineComponent({
    name: 'LayoutHeader',
    iKey: layoutHeaderIKey,
    props: layoutHeaderProps,
    setup(props, { slots }) {
        var _a;
        const { parent } = (_a = getCurrentInstance()) !== null && _a !== void 0 ? _a : {};
        if (parent && parent.type.iKey !== layoutIKey) {
            throw new Error('[McLayoutHeader]: McLayoutHeader must be placed inside McLayout.');
        }
        const { bordered } = toRefs(props);
        // main logic...
        return () => {
            return createVNode('header', { class: ['mc-layout-header', bordered.value ? 'mc-layout-header--bordered' : ''] }, [renderSlot(slots, 'default')]);
        };
    }
});
