import type { PropType, RenderFunction } from 'vue';
import type { PopoverProps } from '../popover';
import type { ElementStyleSet } from '../_utils_';
export declare type PopselectValue = string | number | (string | number)[];
export declare type PopselectMergedProps = PopselectProps & PopoverProps;
export interface PopselectOption {
    value: string | number;
    label: string | RenderFunction;
    disabled?: boolean;
}
export interface PopselectProps {
    value?: PopselectValue;
    options?: Array<PopselectOption>;
    multiple?: boolean;
    maxHeight?: number;
    autoClose?: boolean;
    autoScroll?: boolean;
    truncate?: boolean | number;
    itemHeight?: number;
    itemStyle?: ElementStyleSet;
}
export declare const popselectProps: {
    value: {
        type: PropType<PopselectValue | undefined>;
        default: undefined;
    };
    options: {
        type: PropType<PopselectOption[] | undefined>;
        default: never[];
    };
    multiple: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    maxHeight: {
        type: PropType<number | undefined>;
        default: number;
    };
    autoClose: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    autoScroll: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    truncate: {
        type: PropType<number | boolean | undefined>;
        default: number;
    };
    itemHeight: {
        type: PropType<number | undefined>;
        default: number;
    };
    itemStyle: {
        type: PropType<ElementStyleSet | undefined>;
        default: undefined;
    };
};
export declare const popselectEmits: string[];
