import { ref, createVNode, renderSlot, inject, defineComponent } from 'vue';
import { createKey } from '../_utils_';
import { splitInjectionKey, SplitPaneIKey } from './interface';
export default defineComponent({
    name: 'SplitPane',
    iKey: SplitPaneIKey,
    setup(props, { slots }) {
        var _a;
        const key = createKey('split-pane');
        const { parentWidth, splitPaneInitialWidth, BusResize } = (_a = inject(splitInjectionKey, null)) !== null && _a !== void 0 ? _a : {};
        const widthPercentage = ref(splitPaneInitialWidth === null || splitPaneInitialWidth === void 0 ? void 0 : splitPaneInitialWidth.value);
        console.log(widthPercentage.value);
        const updateSize = ({ dragSize, prevPaneKey, nextPaneKey }) => {
            if (!(parentWidth === null || parentWidth === void 0 ? void 0 : parentWidth.value))
                return;
            let calSize = 0;
            if (key === prevPaneKey) {
                calSize = (dragSize * 5) / parentWidth.value;
            }
            else if (key === nextPaneKey) {
                calSize = (-dragSize * 5) / parentWidth.value;
            }
            widthPercentage.value = (+(widthPercentage.value || 0) + calSize).toString();
        };
        if (BusResize) {
            BusResize.on(updateSize);
        }
        return () => createVNode('div', {
            class: 'mc-split-pane',
            style: { width: widthPercentage.value + '%' },
            'data-key': key
        }, [renderSlot(slots, 'default')]);
    }
});
