import { ref, computed, createVNode, inject, defineComponent } from 'vue';
import { splitInjectionKey } from './interface';
export default defineComponent({
    name: 'Splitter',
    setup() {
        var _a;
        const { parentWidth, BusResize } = (_a = inject(splitInjectionKey, null)) !== null && _a !== void 0 ? _a : {};
        const splitterElRef = ref();
        const prevSplitPaneDataKey = computed(() => {
            var _a;
            return ((_a = splitterElRef.value) === null || _a === void 0 ? void 0 : _a.previousElementSibling).dataset.key;
        });
        const nextSplitPaneDataKey = computed(() => {
            var _a;
            return ((_a = splitterElRef.value) === null || _a === void 0 ? void 0 : _a.nextElementSibling).dataset.key;
        });
        const handleMousedown = (e) => {
            const { clientX: startX, clientY: startY } = e;
            const { value: prevPaneKey } = prevSplitPaneDataKey;
            const { value: nextPaneKey } = nextSplitPaneDataKey;
            // console.log(prevRect);
            // console.log(prevSplitPane.value.style.width);
            // console.log(getComputedStyle(prevSplitPane.value).width);
            // getComputedStyle(prevSplitPane.value);
            const move = (moveEvent) => {
                const { clientX: curX, clientY: curY } = moveEvent;
                console.log(curX - startX);
                BusResize === null || BusResize === void 0 ? void 0 : BusResize.emit({
                    dragSize: curX - startX,
                    prevPaneKey,
                    nextPaneKey
                });
            };
            const up = (upEvent) => {
                document.removeEventListener('mousemove', move);
                document.removeEventListener('mouseup', up);
            };
            document.addEventListener('mousemove', move);
            document.addEventListener('mouseup', up);
        };
        const splitterMarkerVNode = computed(() => {
            return createVNode('div', { class: 'mc-splitter__marker' });
        });
        return () => createVNode('div', { ref: splitterElRef, class: 'mc-splitter', onMousedown: handleMousedown }, [splitterMarkerVNode.value]);
    }
});
