import type { PropType, RenderFunction } from 'vue';
import type { UISize, UnionOmit } from '../_utils_';
export interface SwitchSizeSet {
    labelHeight: string;
    labelMinWidth: string;
    fontSize: string;
    handlerSize: string;
    textCheckedPadding: string;
    textUncheckedPadding: string;
}
export declare type OnBeforeSwitchImpl = () => Promise<boolean | undefined | void> | boolean | undefined | void;
export declare type SwitchSize = UnionOmit<UISize, 'mini'>;
export declare type SwitchValue = string | number | boolean;
export declare type SwitchSizeMap = Record<SwitchSize, SwitchSizeSet>;
export interface SwitchProps {
    value?: SwitchValue;
    disabled?: boolean;
    size?: SwitchSize;
    checkedValue?: SwitchValue;
    uncheckedValue?: SwitchValue;
    checkedText?: string | RenderFunction;
    uncheckedText?: string | RenderFunction;
    checkedColor?: string;
    uncheckedColor?: string;
    handlerColor?: string;
    textPlacement?: 'in' | 'out' | 'both';
    square?: boolean;
    checked?: boolean;
    loading?: boolean;
    inelastic?: boolean;
    width?: string | number;
    onBeforeSwitch?: OnBeforeSwitchImpl;
}
export interface SwitchExposeInstance {
    el: HTMLElement;
    switch: () => void;
}
export declare const switchProps: {
    value: {
        type: PropType<SwitchValue | undefined>;
        default: undefined;
    };
    disabled: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    size: {
        type: PropType<SwitchSize | undefined>;
        default: string;
    };
    checkedValue: {
        type: PropType<SwitchValue | undefined>;
        default: boolean;
    };
    uncheckedValue: {
        type: PropType<SwitchValue | undefined>;
        default: boolean;
    };
    checkedText: {
        type: PropType<string | RenderFunction | undefined>;
        default: undefined;
    };
    uncheckedText: {
        type: PropType<string | RenderFunction | undefined>;
        default: undefined;
    };
    checkedColor: {
        type: PropType<string | undefined>;
        default: undefined;
    };
    uncheckedColor: {
        type: PropType<string | undefined>;
        default: undefined;
    };
    handlerColor: {
        type: PropType<string | undefined>;
        default: undefined;
    };
    textPlacement: {
        type: PropType<"in" | "out" | "both" | undefined>;
        default: string;
    };
    square: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    checked: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    loading: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    inelastic: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    width: {
        type: PropType<string | number | undefined>;
        default: undefined;
    };
    onBeforeSwitch: {
        type: PropType<OnBeforeSwitchImpl | undefined>;
        default: undefined;
    };
};
