import { PropType } from 'vue';
import { UIColorAttrs } from '../_utils_';
export declare type TextLinkType = 'primary' | 'success' | 'warning' | 'danger' | 'info';
export declare type TextLinkColorSet = Pick<UIColorAttrs, 'color'>;
export interface TextLinkProps {
    type?: TextLinkType;
    to?: string;
    underline?: boolean;
    block?: boolean;
    trigger?: 'always' | 'hover';
    color?: string;
    hoverColor?: string;
    raw?: boolean;
}
export declare const textLinkProps: {
    type: {
        type: PropType<TextLinkType | undefined>;
        default: string;
    };
    to: {
        type: PropType<string | undefined>;
        default: string;
    };
    underline: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    block: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    trigger: {
        type: PropType<"always" | "hover" | undefined>;
        default: string;
    };
    color: {
        type: PropType<string | undefined>;
        default: undefined;
    };
    hoverColor: {
        type: PropType<string | undefined>;
        default: undefined;
    };
    raw: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
};
