"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
const _transition_1 = require("../_transition_");
const _hoisted_1 = ['viewBox'];
const _hoisted_2 = ['values'];
const _hoisted_3 = ['stroke-width', 'cx', 'cy', 'r', 'stroke-dasharray', 'stroke-dashoffset'];
const _hoisted_4 = ['values'];
const _hoisted_5 = ['values'];
exports.default = (0, vue_1.defineComponent)({
    name: 'BaseLoading',
    props: {
        size: {
            type: Number,
            default: 28
        },
        stroke: {
            type: Number,
            default: 20
        },
        color: {
            type: String,
            default: '#10B981'
        },
        show: {
            type: Boolean,
            default: true
        }
    },
    setup(props) {
        const { size, color, stroke, show } = (0, vue_1.toRefs)(props);
        const scale = 1;
        const radius = 100;
        const scaledRadius = radius / scale;
        return () => {
            return ((0, vue_1.openBlock)(),
                (0, vue_1.createElementBlock)('div', {
                    class: 'mc-base-loading',
                    style: (0, vue_1.normalizeStyle)({ display: 'flex', alignItems: 'center', justifyContent: 'center', color: color.value, width: `${size.value}px`, height: `${size.value}px` })
                }, [
                    (0, vue_1.createVNode)(_transition_1.McIconSwitchTransition, null, {
                        default: () => show.value
                            ? ((0, vue_1.openBlock)(),
                                (0, vue_1.createElementBlock)('svg', {
                                    viewBox: `0 0 ${2 * (0, vue_1.unref)(scaledRadius)} ${2 * (0, vue_1.unref)(scaledRadius)}`,
                                    xmlns: 'http://www.w3.org/2000/svg'
                                }, [
                                    (0, vue_1.createElementVNode)('g', null, [
                                        (0, vue_1.createElementVNode)('animateTransform', {
                                            attributeName: 'transform',
                                            type: 'rotate',
                                            values: `0 ${(0, vue_1.unref)(scaledRadius)} ${(0, vue_1.unref)(scaledRadius)};270 ${(0, vue_1.unref)(scaledRadius)} ${(0, vue_1.unref)(scaledRadius)}`,
                                            begin: '0s',
                                            dur: '1.4s',
                                            fill: 'freeze',
                                            repeatCount: 'indefinite'
                                        }, null, 8 /* PROPS */, _hoisted_2),
                                        (0, vue_1.createElementVNode)('circle', {
                                            fill: 'none',
                                            stroke: 'currentColor',
                                            'stroke-width': stroke.value,
                                            'stroke-linecap': 'round',
                                            cx: (0, vue_1.unref)(scaledRadius),
                                            cy: (0, vue_1.unref)(scaledRadius),
                                            r: radius - stroke.value / 2,
                                            'stroke-dasharray': 5.67 * radius,
                                            'stroke-dashoffset': 18.48 * radius
                                        }, [
                                            (0, vue_1.createElementVNode)('animateTransform', {
                                                attributeName: 'transform',
                                                type: 'rotate',
                                                values: `0 ${(0, vue_1.unref)(scaledRadius)} ${(0, vue_1.unref)(scaledRadius)};135 ${(0, vue_1.unref)(scaledRadius)} ${(0, vue_1.unref)(scaledRadius)};450 ${(0, vue_1.unref)(scaledRadius)} ${(0, vue_1.unref)(scaledRadius)}`,
                                                begin: '0s',
                                                dur: '1.4s',
                                                fill: 'freeze',
                                                repeatCount: 'indefinite'
                                            }, null, 8 /* PROPS */, _hoisted_4),
                                            (0, vue_1.createElementVNode)('animate', {
                                                attributeName: 'stroke-dashoffset',
                                                values: `${5.67 * radius};${1.42 * radius};${5.67 * radius}`,
                                                begin: '0s',
                                                dur: '1.4s',
                                                fill: 'freeze',
                                                repeatCount: 'indefinite'
                                            }, null, 8 /* PROPS */, _hoisted_5)
                                        ], 8 /* PROPS */, _hoisted_3)
                                    ])
                                ], 8 /* PROPS */, _hoisted_1))
                            : null
                    })
                ], 4 /* STYLE */));
        };
    }
});
