"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColorSchemeTemplate = void 0;
const _utils_1 = require("../_utils_");
exports.ColorSchemeTemplate = {
    Switch: (vars) => {
        const { checkedColor, checkedBackground, uncheckedBackground, handlerColor, handleBoxShadow, rippleColor } = vars;
        return (0, _utils_1.c)([
            (0, _utils_1.c)('.mc-switch', [
                (0, _utils_1.c)('&--checked .mc-switch-label-text--right, &:not(&--checked) .mc-switch-label-text--left', {
                    color: `var(--switch-checked-color, ${checkedColor})`
                }),
                (0, _utils_1.c)('&--checked > &-label', {
                    background: `var(--switch-checked-color, ${checkedBackground})`
                })
            ]),
            (0, _utils_1.c)('.mc-switch-label', {
                background: `var(--switch-unchecked-color, ${uncheckedBackground})`
            }, [
                (0, _utils_1.c)('&__content', {
                    color: '#fff'
                }),
                (0, _utils_1.c)('&__handler', {
                    background: `var(--switch-handler-color, ${handlerColor})`,
                    boxShadow: '0 1px 4px 0 rgba(0, 0, 0, 0.3), inset 0 0 1px 0 rgba(0, 0, 0, 0.05)'
                })
            ])
        ]);
    },
    Tabs: (vars) => {
        const { activeColor } = vars;
        return (0, _utils_1.c)([
            (0, _utils_1.c)('.mc-tabs', [
                (0, _utils_1.c)('&-tab', [
                    (0, _utils_1.c)('&:hover', {
                        color: `var(--tab-active-color, ${activeColor})`
                    })
                ]),
                (0, _utils_1.c)('&-tab--active', {
                    color: `var(--tab-active-color, ${activeColor})`
                }),
                (0, _utils_1.c)('&-tab--disabled', {
                    color: '#bbb'
                }, [
                    (0, _utils_1.c)('&:hover', {
                        color: '#bbb'
                    })
                ])
            ]),
            (0, _utils_1.c)('.mc-tabs__header', [
                (0, _utils_1.c)('&--with-line', [
                    (0, _utils_1.c)('.mc-tabs__header-scroll-content', {
                        borderBottom: '1px solid #e4e7ed'
                    }),
                    (0, _utils_1.c)('.mc-tabs__header-bar--bottom + .mc-tabs__header-scroll-content', {
                        borderBottom: '1px solid #e4e7ed'
                    }),
                    (0, _utils_1.c)('.mc-tabs__header-bar--top + .mc-tabs__header-scroll-content', {
                        borderTop: '1px solid #e4e7ed'
                    })
                ])
            ]),
            (0, _utils_1.c)('.mc-tabs--bar .mc-tabs__header', [
                (0, _utils_1.c)('&--bar-scale .mc-tabs-tab', [
                    (0, _utils_1.c)('&::after', {
                        background: `var(--tab-active-color, ${activeColor})`
                    })
                ]),
                (0, _utils_1.c)('&-bar', {
                    background: `var(--tab-active-color, ${activeColor})`
                })
            ]),
            (0, _utils_1.c)('.mc-tabs--card .mc-tabs-tab', [
                (0, _utils_1.c)('&--active', {
                    background: '#f2fcf8'
                }, [
                    (0, _utils_1.c)('&::before', {
                        background: `${activeColor || '#10b981'}`
                    }),
                    (0, _utils_1.c)('&::after', {
                        background: 'inherit'
                    })
                ])
            ]),
            (0, _utils_1.c)('.mc-tabs--segment', [
                (0, _utils_1.c)('.mc-tabs__header', {
                    background: '#f6f6f9'
                }, [
                    (0, _utils_1.c)('&-bar', {
                        background: '#fff'
                    }),
                    (0, _utils_1.c)('&--bar-fade .mc-tabs-tab', [
                        (0, _utils_1.c)('&--active', {
                            background: '#fff'
                        })
                    ])
                ])
            ])
        ]);
    }
};
