"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
const _utils_1 = require("../_utils_");
exports.default = (0, vue_1.defineComponent)({
    name: 'BaseTransition',
    props: {
        appear: Boolean,
        name: String,
        enterFrom: Object,
        leaveTo: Object
    },
    setup(props, { slots }) {
        const { appear, name, enterFrom, leaveTo } = (0, vue_1.toRefs)(props);
        (0, vue_1.onMounted)(() => {
            var _a, _b, _c;
            (0, _utils_1.useThemeRegister)({
                key: `McBaseTransition-${name.value}`,
                main: (0, _utils_1.c)([(0, _utils_1.c)(`.${name.value}-enter-from`, Object.assign({}, ((_a = enterFrom.value) !== null && _a !== void 0 ? _a : {}))), (0, _utils_1.c)(`.${name.value}-leave-to`, Object.assign({}, ((_c = (_b = leaveTo.value) !== null && _b !== void 0 ? _b : enterFrom.value) !== null && _c !== void 0 ? _c : {})))])
            });
        });
        return () => (0, _utils_1.createComponentVNode)(vue_1.Transition, { name: name.value, appear: appear.value }, {
            default: () => (0, vue_1.renderSlot)(slots, 'default')
        });
    }
});
