"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createVNode = void 0;
function createVNode(type, props, children) { }
exports.createVNode = createVNode;
function analyzePatchFlag(isComponent, props, children) {
    // default to patch all
    let patchFlag = 0;
    let dynamicProps = [];
    if (props) {
        const { style: styleBinding, class: classBinding } = props, rest = __rest(props, ["style", "class"]);
        const dynamicPropNames = Object.keys(rest).filter(key => typeof rest[key] === 'object');
        const hasHydrationEventBinding = Object.keys(rest).find(key => {
            return !isComponent && /^on[^a-z]/.test(key) && key.toLowerCase() !== 'onclick' && key !== 'onUpdate:modelValue' && !isReservedProp(key);
        });
        if (styleBinding && typeof styleBinding === 'object') {
            patchFlag |= 4 /* PatchFlags.STYLE */;
        }
        if (classBinding && typeof classBinding === 'object') {
            patchFlag |= 2 /* PatchFlags.CLASS */;
        }
        if (dynamicPropNames.length) {
            patchFlag |= 8 /* PatchFlags.PROPS */;
            dynamicProps = dynamicPropNames;
        }
        if (hasHydrationEventBinding) {
            patchFlag |= 32 /* PatchFlags.HYDRATE_EVENTS */;
        }
    }
    return { patchFlag, dynamicProps };
}
function analyzeSlotFlag() { }
function makeMap(str, expectsLowerCase) {
    const map = Object.create(null);
    const list = str.split(',');
    for (let i = 0; i < list.length; i++) {
        map[list[i]] = true;
    }
    return expectsLowerCase ? val => !!map[val.toLowerCase()] : val => !!map[val];
}
const isReservedProp = makeMap(',key,ref,ref_for,ref_key,' + 'onVnodeBeforeMount,onVnodeMounted,' + 'onVnodeBeforeUpdate,onVnodeUpdated,' + 'onVnodeBeforeUnmount,onVnodeUnmounted');
