"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defineTheme = void 0;
const useThemeRegister_1 = require("./useThemeRegister");
const _theme_1 = require("../_theme_");
function defineTheme(name, config) {
    const { inherit, theme = {} } = config;
    const states = Object.entries(theme).map(([key, vars]) => {
        return {
            key: `Mc${key}-${name}`,
            name: key,
            isMounted: false,
            isStatic: false,
            theme: _theme_1.ColorSchemeTemplate[key](vars)
        };
    });
    useThemeRegister_1.ThemeMap.set(name, { inherit, states });
}
exports.defineTheme = defineTheme;
