/**
 * convert kebab case keyed object into camel case keyed object
 *
 * @param targetObj
 * @returns e.g. `{ 'current-count': 1 } --> { currentCount: 1 }`
 */
export declare function kebabCaseEscape<T>(targetObj: T | null): T | null;
/**
 * convert kebab case string into camel case.
 *
 * e.g. `hello-world --> helloWorld`
 */
export declare function kebabToCamel(str: string): string;
/**
 * convert camel case string into kebab case.
 *
 * e.g. `helloWorld --> hello-world`
 */
export declare function camelToKebab(str: string): string;
