"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.propsMergeSlots = void 0;
const kebabCaseEscape_1 = require("./kebabCaseEscape");
const renderFunction_1 = require("./renderFunction");
function propsMergeSlots(props, slots, name, stringRenderer, vnodeRenderer) {
    const propValue = (props !== null && props !== void 0 ? props : {})[name];
    const renderProp = propValue ? (typeof propValue === 'string' ? (stringRenderer ? stringRenderer(propValue) : (0, renderFunction_1.createTextVNode)(propValue)) : vnodeRenderer ? vnodeRenderer(propValue()) : propValue()) : null;
    const kebabKey = (0, kebabCaseEscape_1.camelToKebab)(name);
    return slots[name] || slots[kebabKey] ? (0, renderFunction_1.renderSlot)(slots, (0, kebabCaseEscape_1.camelToKebab)(name)) : renderProp;
}
exports.propsMergeSlots = propsMergeSlots;
