"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useI18n = void 0;
const vue_1 = require("vue");
const i18n_1 = require("../i18n");
const zh_CN_1 = __importDefault(require("../_locale_/zh-CN"));
const en_US_1 = __importDefault(require("../_locale_/en-US"));
function useI18n(module) {
    const { current } = (0, i18n_1.useI18nController)();
    const i18nData = (0, vue_1.computed)(() => {
        if (current.value === 'en-US')
            return en_US_1.default;
        return zh_CN_1.default;
    });
    return {
        locale: current,
        i18n: (chainKey, defaultVal = '') => {
            var _a, _b, _c;
            const [name, key] = (module ? `${module}.${chainKey}` : chainKey).split('.');
            return (_c = (_b = (_a = i18nData.value) === null || _a === void 0 ? void 0 : _a[name]) === null || _b === void 0 ? void 0 : _b[key]) !== null && _c !== void 0 ? _c : defaultVal;
        }
    };
}
exports.useI18n = useI18n;
