"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSharedItems = void 0;
const vue_1 = require("vue");
const sharedStack = (0, vue_1.reactive)([]);
function useSharedItems() {
    return {
        add(key) {
            sharedStack.push(key);
        },
        remove(key) {
            const index = sharedStack.findIndex(sharedKey => sharedKey === key);
            index > -1 && sharedStack.splice(index, 1);
        },
        topItem: (0, vue_1.computed)(() => sharedStack[sharedStack.length - 1]),
        stack: sharedStack
    };
}
exports.useSharedItems = useSharedItems;
