import type { PropType, RenderFunction } from 'vue';
export interface AnchorOption {
    title?: string | RenderFunction;
    href: string;
    children?: AnchorOption[];
}
export interface AnchorExposeInstance {
    el: HTMLElement;
    scrollTo: (href: string) => void;
}
export interface AnchorProps {
    options?: AnchorOption[];
    bound?: number;
    offsetTop?: number;
    offsetBottom?: number;
    type?: 'background' | 'bar';
    showTrack?: boolean;
    showMarker?: boolean;
}
export declare const anchorProps: {
    options: {
        type: PropType<AnchorOption[] | undefined>;
        default: undefined;
    };
    bound: {
        type: PropType<number | undefined>;
        default: number;
    };
    offsetTop: {
        type: PropType<number | undefined>;
        default: number;
    };
    offsetBottom: {
        type: PropType<number | undefined>;
        default: number;
    };
    type: {
        type: PropType<"bar" | "background" | undefined>;
        default: string;
    };
    showTrack: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
    showMarker: {
        type: PropType<boolean | undefined>;
        default: boolean;
    };
};
