"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
const _utils_1 = require("../_utils_");
const interface_1 = require("./interface");
exports.default = (0, vue_1.defineComponent)({
    name: 'ButtonGroup',
    props: interface_1.buttonGroupProps,
    setup(props, { slots }) {
        const { type, size, disabled, ghost, dashed, render, vertical } = (0, vue_1.toRefs)(props);
        return () => {
            const buttons = (0, _utils_1.flattenWithOptions)({ slots, key: interface_1.buttonIKey });
            return (0, vue_1.createVNode)('div', { class: ['mc-button-group', { 'mc-button-group--vertical': vertical.value }], role: 'group' }, (0, vue_1.renderList)(buttons, button => {
                return (0, vue_1.createVNode)(button, {
                    type: type.value,
                    size: size.value,
                    disabled: disabled.value,
                    ghost: ghost.value,
                    dashed: dashed.value,
                    render: render.value
                });
            }), 2 /* PatchFlags.CLASS */ | 256 /* PatchFlags.UNKEYED_FRAGMENT */);
        };
    }
});
