"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _utils_1 = require("../../_utils_");
exports.default = (0, _utils_1.c)([
    (0, _utils_1.c)('.mc-drawer-container', {
        position: 'fixed',
        height: 0,
        zIndex: 5000
    }),
    (0, _utils_1.c)('.mc-drawer-mask', {
        backgroundColor: '#00000073'
    }),
    (0, _utils_1.c)('.mc-drawer-wrapper', {
        display: 'flex',
        overflow: 'auto'
    }),
    (0, _utils_1.c)('.mc-drawer-mask, .mc-drawer-wrapper', {
        position: 'fixed',
        top: 0,
        right: 0,
        bottom: 0,
        left: 0,
        transitionProperty: 'all',
        transitionTimingFunction: 'cubic-bezier(0.4, 0, 0.2, 1)',
        transitionDuration: '300ms'
    }),
    (0, _utils_1.c)('.mc-drawer', {
        width: 'var(--drawer-width)',
        height: 'var(--drawer-height)',
        minWidth: 'max-content'
    }, [
        (0, _utils_1.c)('&:not(.mc-drawer--pure)', {
            display: 'flex',
            flexDirection: 'column'
        }, [
            (0, _utils_1.c)('.mc-drawer-title', {
                fontSize: '18px',
                fontWeight: 500
            }),
            (0, _utils_1.c)('.mc-drawer-close-button', {
                position: 'relative',
                left: '8px'
            }),
            (0, _utils_1.c)('.mc-drawer__header', {
                display: 'flex',
                justifyContent: 'space-between',
                alignItems: 'center',
                padding: '12px 20px'
            }),
            (0, _utils_1.c)('.mc-drawer__body', {
                padding: '20px',
                flex: 1,
                overflow: 'auto'
            })
        ]),
        (0, _utils_1.c)('&--top', {
            marginBottom: 'auto',
            borderRadius: '0 0 8px 8px'
        }),
        (0, _utils_1.c)('&--right', {
            marginLeft: 'auto',
            borderRadius: '8px 0 0 8px'
        }),
        (0, _utils_1.c)('&--bottom', {
            marginTop: 'auto',
            borderRadius: '8px 8px 0 0'
        }),
        (0, _utils_1.c)('&--left', {
            marginRight: 'auto',
            borderRadius: '0 8px 8px 0'
        })
    ]),
    (0, _utils_1.c)('.mc-drawer-mask-fade-enter-from, .mc-drawer-mask-fade-leave-to', {
        opacity: 0
    }),
    (0, _utils_1.c)('.mc-drawer-appear-top-enter-from, .mc-drawer-appear-top-leave-to', {
        transform: 'translateY(calc(0px - var(--drawer-size)))'
    }),
    (0, _utils_1.c)('.mc-drawer-appear-right-enter-from, .mc-drawer-appear-right-leave-to', {
        transform: 'translateX(var(--drawer-size))'
    }),
    (0, _utils_1.c)('.mc-drawer-appear-bottom-enter-from, .mc-drawer-appear-bottom-leave-to', {
        transform: 'translateY(var(--drawer-size))'
    }),
    (0, _utils_1.c)('.mc-drawer-appear-left-enter-from, .mc-drawer-appear-left-leave-to', {
        transform: 'translateX(calc(0px - var(--drawer-size)))'
    })
]);
