"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useI18nController = exports.globalLanguage = void 0;
const core_1 = require("@vueuse/core");
const useGlobalLanguageState = (0, core_1.createGlobalState)(() => (0, core_1.useStorage)('meetcode-ui-language-local-storage', 'zh-CN'));
exports.globalLanguage = useGlobalLanguageState();
/**
 * User's integrate i18n controller
 */
function useI18nController(initialLang) {
    const languageChangeEventHook = (0, core_1.createEventHook)();
    const setLanguage = (lang = 'zh-CN') => {
        if (exports.globalLanguage.value !== lang) {
            exports.globalLanguage.value = lang;
            languageChangeEventHook.trigger(lang);
        }
    };
    if (initialLang)
        setLanguage(initialLang);
    return {
        current: exports.globalLanguage,
        setLanguage,
        switchLanguage() {
            if (exports.globalLanguage.value === 'en-US') {
                setLanguage('zh-CN');
            }
            else {
                setLanguage('en-US');
            }
        },
        onLanguageChange: languageChangeEventHook.on
    };
}
exports.useI18nController = useI18nController;
