"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
const _utils_1 = require("../_utils_");
const styles_1 = require("./styles");
const interface_1 = require("./interface");
exports.default = (0, vue_1.defineComponent)({
    name: 'Icon',
    props: interface_1.iconProps,
    setup(props, { slots }) {
        // theme register
        (0, vue_1.onMounted)(() => {
            (0, _utils_1.useThemeRegister)({
                key: 'Icon',
                main: styles_1.mainCssr
            });
        });
        const { size, color, spin, speed, icon } = (0, vue_1.toRefs)(props);
        const spinningSpeed = (0, vue_1.computed)(() => {
            switch (speed.value) {
                case 'slow':
                    return '2s';
                case 'normal':
                    return '1.6s';
                case 'fast':
                    return '1.2s';
                default:
                    return '1.6s';
            }
        });
        const cssVars = (0, vue_1.computed)(() => {
            var _a;
            return {
                '--icon-color': (_a = color.value) !== null && _a !== void 0 ? _a : 'initial',
                '--icon-font-size': size.value ? `${size.value}px` : 'initial',
                '--icon-spinning-speed': spinningSpeed.value
            };
        });
        return () => (0, _utils_1.createElementVNode)('i', {
            role: 'img',
            class: ['mc-icon', { 'mc-icon--spinning': spin.value }],
            style: cssVars.value
        }, [icon.value ? (0, _utils_1.createComponentVNode)(icon.value) : (0, _utils_1.getSlotFirstVNode)(slots.default)], 2 /* PatchFlags.CLASS */ | 4 /* PatchFlags.STYLE */);
    }
});
