"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _utils_1 = require("../../_utils_");
exports.default = (0, _utils_1.c)([
    (0, _utils_1.c)('.mc-input', {
        position: 'relative',
        cursor: 'text',
        maxWidth: '100%',
        display: 'flex',
        transition: 'background 0.2s',
        fontSize: 'var(--input-font-size)',
        borderRadius: '3px'
    }, [
        (0, _utils_1.c)('&:not(&--autosize), &--textarea', {
            width: '100%'
        }),
        (0, _utils_1.c)('&--disabled', [(0, _utils_1.c)('*', { cursor: 'not-allowed' })]),
        (0, _utils_1.c)('&--with-prepend > &-wrapper', {
            borderTopLeftRadius: 0,
            borderBottomLeftRadius: 0
        }),
        (0, _utils_1.c)('&--with-append > &-wrapper', {
            borderTopRightRadius: 0,
            borderBottomRightRadius: 0
        }),
        (0, _utils_1.c)('&--composed &-wrapper', [
            (0, _utils_1.c)('.mc-input-el', {
                textAlign: 'center'
            }),
            (0, _utils_1.c)('.mc-input-placeholder', {
                justifyContent: 'center'
            })
        ]),
        (0, _utils_1.c)('&-el', {
            fontSize: 'var(--input-font-size)',
            appearance: 'none',
            border: 'none',
            outline: 'none',
            padding: 'var(--input-el-padding)',
            margin: 0,
            lineHeight: 'var(--input-el-line-height)',
            boxSizing: 'border-box',
            fontFamily: 'inherit',
            width: '100%',
            maxWidth: '100%',
            background: 'inherit',
            zIndex: 2
        }),
        (0, _utils_1.c)('&--autosize input&-el', { minWidth: '100%', width: 'var(--input-autosize-width)' }),
        (0, _utils_1.c)('textarea&-el', {
            resize: 'var(--input-textarea-resizable)',
            overflow: 'auto',
            height: 'var(--input-textarea-autosize-height)',
            minHeight: 'var(--input-textarea-min-height)',
            maxHeight: 'var(--input-textarea-max-height)',
            paddingRight: 'var(--input-padding)'
        }),
        (0, _utils_1.c)('&__prefix, &__suffix, &__inner', {
            display: 'flex',
            height: '100%',
            alignItems: 'center'
        }),
        (0, _utils_1.c)('&__prefix', {
            marginRight: 'var(--input-prefix-margin)'
        }),
        (0, _utils_1.c)('&__suffix > *', {
            marginLeft: 'var(--input-suffix-margin)'
        }),
        (0, _utils_1.c)('&__inner', {
            flex: 1,
            position: 'relative',
            overflow: 'hidden',
            maxWidth: '100%'
        }),
        (0, _utils_1.c)('&__separator', {
            display: 'flex',
            alignItems: 'center',
            padding: '0 12px',
            height: '100%'
        }),
        (0, _utils_1.c)('&--textarea &__suffix', {
            position: 'absolute',
            top: 0,
            right: 'var(--input-padding)',
            alignItems: 'flex-end'
        }),
        (0, _utils_1.c)('&--textarea &-wrapper', {
            paddingRight: '0px'
        })
    ]),
    (0, _utils_1.c)('.mc-input-suffix-content', {
        display: 'flex'
    }),
    (0, _utils_1.c)('.mc-input-eye-icon', {
        cursor: 'pointer',
        transition: 'all 0.2s'
    }),
    (0, _utils_1.c)('.mc-input-clear-icon', {
        transition: 'all 0.2s',
        opacity: 0
    }),
    (0, _utils_1.c)('.mc-input-wrapper', {
        display: 'flex',
        alignItems: 'center',
        padding: 'var(--input-wrapper-padding)',
        flex: 1,
        borderRadius: '3px',
        transition: 'all 0.2s',
        position: 'relative',
        width: '100%',
        boxSizing: 'border-box'
    }, [
        (0, _utils_1.c)('&::before, &::after', {
            content: "''",
            position: 'absolute',
            top: 0,
            right: 0,
            bottom: 0,
            left: 0,
            borderRadius: 'inherit',
            boxSizing: 'border-box',
            pointerEvents: 'none'
        }),
        (0, _utils_1.c)('&::after', {
            transition: '0.2s'
        })
    ]),
    (0, _utils_1.c)('.mc-input-placeholder', {
        position: 'absolute',
        top: 0,
        right: 0,
        bottom: 0,
        left: 0,
        lineHeight: 'var(--input-height)',
        display: 'flex',
        pointerEvents: 'none',
        zIndex: 1
    }),
    (0, _utils_1.c)('.mc-input-word-count', {
        fontSize: 'var(--input-word-count-font-size)',
        lineHeight: 'var(--input-height)',
        display: 'flex',
        alignItems: 'center',
        pointerEvents: 'none'
    }),
    (0, _utils_1.c)('.mc-input-prepend, .mc-input-append', {
        padding: 'var(--input-wrapper-padding)',
        display: 'flex',
        alignItems: 'center',
        cursor: 'default',
        transition: 'background 0.2s'
    }),
    (0, _utils_1.c)('.mc-input-prepend', {
        borderRight: 'none',
        borderTopLeftRadius: '3px',
        borderBottomLeftRadius: '3px'
    }),
    (0, _utils_1.c)('.mc-input-append', {
        borderLeft: 'none',
        borderTopRightRadius: '3px',
        borderBottomRightRadius: '3px'
    }),
    (0, _utils_1.c)('.mc-input-group', {
        display: 'flex',
        position: 'relative'
    }, [
        (0, _utils_1.c)('& > .mc-button:not(:last-child):not(:first-child)', {
            borderRadius: 0
        }),
        (0, _utils_1.c)('& > .mc-button:first-child:not(:last-child)', {
            borderTopRightRadius: 0,
            borderBottomRightRadius: 0
        }),
        (0, _utils_1.c)('& > .mc-button:last-child:not(:first-child)', {
            borderTopLeftRadius: 0,
            borderBottomLeftRadius: 0
        }),
        (0, _utils_1.c)('& > .mc-button--default:not(:last-child)', [
            (0, _utils_1.c)('&::before', {
                borderRightWidth: 0
            }),
            (0, _utils_1.c)('&::after', {
                right: '-1px'
            })
        ]),
        (0, _utils_1.c)('& > .mc-button--default::after', {
            borderColor: 'transparent'
        }),
        (0, _utils_1.c)('& > .mc-button', {
            minHeight: '100%'
        }),
        (0, _utils_1.c)('& > .mc-button::after', {
            zIndex: 1
        }),
        (0, _utils_1.c)('& > .mc-input:not(:last-child):not(:first-child) > .mc-input-wrapper', {
            borderRadius: 0
        }),
        (0, _utils_1.c)('& > .mc-input:first-child:not(:last-child) > .mc-input-wrapper', {
            borderTopRightRadius: 0,
            borderBottomRightRadius: 0
        }),
        (0, _utils_1.c)('& > .mc-input:last-child:not(:first-child) > .mc-input-wrapper', {
            borderTopLeftRadius: 0,
            borderBottomLeftRadius: 0
        }),
        (0, _utils_1.c)('& > .mc-input:not(:last-child) > .mc-input-wrapper', [
            (0, _utils_1.c)('&::before', {
                borderRightWidth: 0
            }),
            (0, _utils_1.c)('&::after', {
                right: '-1px',
                zIndex: 1,
                borderColor: 'transparent'
            })
        ]),
        (0, _utils_1.c)('& > .mc-input', {
            flex: 1,
            position: 'unset'
        }),
        (0, _utils_1.c)('& > .mc-button:not(.mc-button--default) + .mc-input', {
            marginLeft: '-1px'
        })
    ]),
    (0, _utils_1.c)('.mc-input-valid-message', {
        position: 'absolute',
        bottom: 'calc(var(--input-word-count-font-size) * -1.5)',
        left: '0px',
        paddingLeft: '3px',
        color: '#dc2626',
        transition: '0.2s',
        fontSize: 'var(--input-word-count-font-size)'
    })
]);
