import type { VNodeChild } from 'vue';
import type { ElementClassSet, ElementStyleSet } from '../_utils_';
interface ColumnLayoutProps {
    siderPlacement?: 'left' | 'right';
    fixed?: boolean;
    siderWidth?: string | number;
    siderStyle?: ElementStyleSet;
    contentStyle?: ElementStyleSet;
    siderClass?: ElementClassSet;
    contentClass?: ElementClassSet;
    showSider?: boolean;
    showContent?: boolean;
}
declare type ColumnLayoutSlotName = 'sider' | 'content';
interface RowLayoutComponentProps {
    fixedHeader?: boolean;
    fixedFooter?: boolean;
    headerStyle?: ElementStyleSet;
    contentStyle?: ElementStyleSet;
    footerStyle?: ElementStyleSet;
    headerClass?: ElementClassSet;
    contentClass?: ElementClassSet;
    footerClass?: ElementClassSet;
    showHeader?: boolean;
    showContent?: boolean;
    showFooter?: boolean;
}
declare type RowLayoutSlotName = 'header' | 'content' | 'footer';
export declare function createColumnLayout(props?: ColumnLayoutProps, slots?: Partial<Record<ColumnLayoutSlotName, () => VNodeChild>>): import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>;
export declare function createRowLayout(props?: RowLayoutComponentProps, slots?: Partial<Record<RowLayoutSlotName, () => VNodeChild>>): import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>;
export {};
