"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _utils_1 = require("../../_utils_");
exports.default = (0, _utils_1.c)([
    (0, _utils_1.c)('.mc-layout', {
        display: 'flex',
        flexDirection: 'column',
        overflow: 'auto',
        position: 'relative'
    }, [
        (0, _utils_1.c)('&--with-sider', {
            flexDirection: 'row'
        }),
        (0, _utils_1.c)('&--header-fixed', [
            (0, _utils_1.c)('& > .mc-layout-header', {
                width: '100%',
                position: 'absolute',
                top: 0
            }),
            (0, _utils_1.c)('& > .mc-layout-content', {
                paddingTop: 'var(--layout-header-height)',
                overflow: 'auto'
            })
        ])
    ]),
    (0, _utils_1.c)('.mc-layout, .mc-layout-header, .mc-layout-content, .mc-layout-footer', {
        transition: 'background 0.2s, border-color 0.2s'
    }),
    (0, _utils_1.c)('.mc-layout-sider', {
        transition: 'background 0.2s, border-color 0.2s, width 0.2s'
    }),
    (0, _utils_1.c)('.mc-layout--with-sider > .mc-layout', { flex: 1 }),
    (0, _utils_1.c)('.mc-layout--with-sider > .mc-layout-content', { flex: 1 }),
    (0, _utils_1.c)('.mc-layout__scroll-area', { width: '100%', minHeight: '100%', overflow: 'auto', boxSizing: 'border-box' }),
    (0, _utils_1.c)('.mc-layout-column-preset', {}),
    (0, _utils_1.c)('.mc-layout-row-preset', [(0, _utils_1.c)('& > .mc-layout-content', { flex: 1 })]),
    (0, _utils_1.c)('.mc-layout-sider', {
        position: 'relative',
        width: 'var(--layout-sider-width)',
        display: 'flex',
        justifyContent: 'flex-end'
    }, [
        (0, _utils_1.c)('&--fixed', { position: 'absolute', right: 0, height: '100%' }),
        (0, _utils_1.c)('&--bordered&--left', { borderRight: '1px solid' }),
        (0, _utils_1.c)('&--bordered&--right', { borderLeft: '1px solid' }),
        (0, _utils_1.c)('&__scroll-area', {
            flexGrow: 1,
            flexShrink: 0,
            boxSizing: 'border-box',
            height: '100%',
            maxWidth: '100%',
            overflow: 'auto',
            minWidth: 'var(--layout-sider-scroll-area-min-width)'
        }),
        (0, _utils_1.c)('&__collapse-button-trigger, &__collapse-bar-trigger', {
            position: 'absolute',
            top: 'var(--layout-sider-collapse-button-trigger-top)',
            bottom: 'var(--layout-sider-collapse-button-trigger-bottom)',
            zIndex: 10,
            transition: '0.2s',
            cursor: 'pointer'
        }),
        (0, _utils_1.c)('&--left > .mc-layout-sider__collapse-button-trigger', {
            right: '-1px',
            transform: 'translateY(-50%) translateX(50%)'
        }),
        (0, _utils_1.c)('&--right > .mc-layout-sider__collapse-button-trigger', {
            left: '-1px',
            transform: 'translateY(-50%) translateX(-50%) rotate(-180deg)'
        }),
        (0, _utils_1.c)('&--collapsed&--left > .mc-layout-sider__collapse-button-trigger', {
            right: '-14px',
            transform: 'translateY(-50%) translateX(50%) rotate(-180deg)'
        }),
        (0, _utils_1.c)('&--collapsed&--right > .mc-layout-sider__collapse-button-trigger', {
            left: '-14px',
            transform: 'translateY(-50%) translateX(-50%)'
        }),
        (0, _utils_1.c)('&__collapse-bar-trigger', {
            display: 'flex',
            flexDirection: 'column',
            width: '20px',
            alignItems: 'center',
            transform: 'translateY(-50%)'
        }, [
            (0, _utils_1.c)('&::before, &::after', {
                content: '""',
                height: '37.5px',
                width: '4px',
                borderRadius: '2px',
                display: 'block',
                position: 'relative',
                transition: '0.2s'
            }),
            (0, _utils_1.c)('&::before', {
                top: '1.5px'
            }),
            (0, _utils_1.c)('&::after', {
                bottom: '1.5px'
            })
        ]),
        (0, _utils_1.c)('&--left > .mc-layout-sider__collapse-bar-trigger', {
            right: '-20px'
        }, [
            (0, _utils_1.c)('&:hover:before', {
                transform: 'rotate(10deg)'
            }),
            (0, _utils_1.c)('&:hover:after', {
                transform: 'rotate(-10deg)'
            })
        ]),
        (0, _utils_1.c)('&--right > .mc-layout-sider__collapse-bar-trigger', {
            left: '-20px'
        }, [
            (0, _utils_1.c)('&:hover::before', {
                transform: 'rotate(-10deg)'
            }),
            (0, _utils_1.c)('&:hover::after', {
                transform: 'rotate(10deg)'
            })
        ]),
        (0, _utils_1.c)('&--collapsed&--left > .mc-layout-sider__collapse-bar-trigger', [
            (0, _utils_1.c)('&:hover::before', {
                transform: 'rotate(-10deg)'
            }),
            (0, _utils_1.c)('&:hover::after', {
                transform: 'rotate(10deg)'
            })
        ]),
        (0, _utils_1.c)('&--collapsed&--right > .mc-layout-sider__collapse-bar-trigger', [
            (0, _utils_1.c)('&:hover:before', {
                transform: 'rotate(10deg)'
            }),
            (0, _utils_1.c)('&:hover:after', {
                transform: 'rotate(-10deg)'
            })
        ])
    ]),
    (0, _utils_1.c)('.mc-layout-header', {}, [(0, _utils_1.c)('&--bordered', { borderBottom: '1px solid' })]),
    (0, _utils_1.c)('.mc-layout-content', {}, []),
    (0, _utils_1.c)('.mc-layout-footer', {}, [(0, _utils_1.c)('&--bordered', { borderTop: '1px solid' })])
]);
