"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _utils_1 = require("../../_utils_");
exports.default = (0, _utils_1.c)([
    (0, _utils_1.c)('.mc-menu, .mc-menu-item-group, .mc-sub-menu', {
        listStyle: 'none',
        padding: 0,
        margin: 0
    }),
    (0, _utils_1.c)('.mc-menu', {
        transition: 'width 0.2s',
        width: '100%',
        padding: '4px 0'
    }, [
        (0, _utils_1.c)('& > .mc-sub-menu:not(:last-child), & > .mc-menu-item:not(:last-child), & > .mc-menu-item-group:not(:last-child)', {
            marginBottom: '4px'
        }),
        (0, _utils_1.c)('&--collapsed', {
            width: 'var(--menu-collapsed-width)'
        }, [
            (0, _utils_1.c)('& > .mc-menu-item, & > .mc-sub-menu .mc-sub-menu-title', {
                padding: 'var(--menu-collapsed-padding)'
            }),
            (0, _utils_1.c)('.mc-menu-item__icon > .mc-icon, .mc-sub-menu-title__icon > .mc-icon', {
                fontSize: 'var(--menu-collapsed-icon-size)'
            })
        ]),
        (0, _utils_1.c)('&--disabled', [
            (0, _utils_1.c)('.mc-menu-item, .mc-sub-menu-title, .mc-menu-item-group > .mc-menu-item-group-title', {
                cursor: 'not-allowed'
            })
        ])
    ]),
    (0, _utils_1.c)('.mc-menu-item', {
        height: '40px',
        display: 'flex',
        alignItems: 'center',
        cursor: 'pointer',
        borderRadius: '4px',
        transition: 'background-color 0.2s, padding-left 0.2s, border-color 0.2s, color 0.2s',
        paddingLeft: 'var(--menu-item-padding-left)',
        paddingRight: '16px',
        position: 'relative'
    }, [
        (0, _utils_1.c)('&--disabled', {
            cursor: 'not-allowed'
        }),
        (0, _utils_1.c)('&__icon', {
            display: 'flex',
            marginRight: '8px'
        }, [
            (0, _utils_1.c)('.mc-icon', {
                transition: 'width 0.2s'
            })
        ]),
        (0, _utils_1.c)('&__content', {
            flex: 1,
            overflow: 'hidden',
            zIndex: 1
        }),
        (0, _utils_1.c)('&::before', {
            content: '""',
            zIndex: 'auto',
            position: 'absolute',
            left: '4px',
            right: '4px',
            top: '0',
            bottom: '0',
            pointerEvents: 'none',
            borderRadius: '4px',
            transition: 'background-color 0.2s'
        })
    ]),
    (0, _utils_1.c)('.mc-menu-item-group', [
        (0, _utils_1.c)('&--disabled', [
            (0, _utils_1.c)('.mc-menu-item, .mc-sub-menu-title', {
                cursor: 'not-allowed'
            })
        ]),
        (0, _utils_1.c)('&-title', {
            height: '32px',
            paddingLeft: 'var(--menu-item-group-padding-left)',
            paddingRight: '16px',
            display: 'flex',
            alignItems: 'center',
            fontSize: '12px'
        }),
        (0, _utils_1.c)('&-children', {
            transition: '0.2s',
            padding: 0,
            marginTop: '4px',
            overflow: 'hidden'
        }, [
            (0, _utils_1.c)('& > .mc-sub-menu:not(:last-child), & > .mc-menu-item:not(:last-child), & > .mc-menu-item-group:not(:last-child)', {
                marginBottom: '4px'
            })
        ]),
        (0, _utils_1.c)('&--collapsed&--disabled > .mc-menu-item-group-title', {
            cursor: 'not-allowed'
        }),
        (0, _utils_1.c)('&--collapsed > .mc-menu-item-group-title', {
            cursor: 'pointer'
        }),
        (0, _utils_1.c)('&--collapsed > .mc-menu-item-group-title', {
            padding: 0,
            justifyContent: 'center',
            position: 'relative'
        }, [
            (0, _utils_1.c)('& > *', {
                zIndex: 1
            }),
            (0, _utils_1.c)('&::before', {
                content: '""',
                zIndex: 'auto',
                position: 'absolute',
                left: '4px',
                right: '4px',
                top: '0',
                bottom: '0',
                pointerEvents: 'none',
                borderRadius: '4px',
                transition: 'background-color 0.2s'
            })
        ]),
        (0, _utils_1.c)('&--dropdown > .mc-menu-item-group-children', {
            margin: 0
        }, [
            (0, _utils_1.c)('.mc-menu-item, .mc-sub-menu-title, .mc-menu-item-group-title', {
                padding: '0 16px'
            }),
            (0, _utils_1.c)('.mc-menu-item-group-children', [
                (0, _utils_1.c)('.mc-menu-item, .mc-sub-menu-title', {
                    padding: '0 16px 0 32px'
                })
            ])
        ])
    ]),
    (0, _utils_1.c)('.mc-sub-menu', [
        (0, _utils_1.c)('&--disabled', [
            (0, _utils_1.c)('.mc-menu-item, .mc-sub-menu-title, .mc-menu-item-group-title', {
                cursor: 'not-allowed'
            })
        ]),
        (0, _utils_1.c)('&--collapsed > .mc-sub-menu-title', [
            (0, _utils_1.c)('.mc-sub-menu-title__arrow', {
                transform: 'rotate(180deg)'
            })
        ]),
        (0, _utils_1.c)('&-title', {
            height: '40px',
            paddingLeft: 'var(--menu-submenu-padding-left)',
            paddingRight: '16px',
            display: 'flex',
            alignItems: 'center',
            justifyContent: 'space-between',
            cursor: 'pointer',
            borderRadius: '4px',
            transition: 'background-color 0.2s, padding-left 0.2s, border-color 0.2s, color 0.2s',
            position: 'relative'
        }, [
            (0, _utils_1.c)('& > *', {
                zIndex: 1
            }),
            (0, _utils_1.c)('&__icon', {
                display: 'flex',
                marginRight: '8px'
            }, [
                (0, _utils_1.c)('.mc-icon', {
                    transition: 'width 0.2s'
                })
            ]),
            (0, _utils_1.c)('&__content', {
                flex: 1,
                overflow: 'hidden'
            }),
            (0, _utils_1.c)('&__arrow', {
                transition: 'transform 0.2s'
            }),
            (0, _utils_1.c)('&::before', {
                content: '""',
                zIndex: 'auto',
                position: 'absolute',
                left: '4px',
                right: '4px',
                top: '0',
                bottom: '0',
                pointerEvents: 'none',
                borderRadius: '4px',
                transition: 'background-color 0.2s'
            })
        ]),
        (0, _utils_1.c)('&-children', {
            transition: '0.2s',
            padding: 0,
            marginTop: '4px',
            overflow: 'hidden'
        }, [
            (0, _utils_1.c)('& > .mc-sub-menu:not(:last-child), & > .mc-menu-item:not(:last-child), & > .mc-menu-item-group:not(:last-child)', {
                marginBottom: '4px'
            })
        ]),
        (0, _utils_1.c)('&--dropdown', [
            (0, _utils_1.c)('.mc-menu-item, .mc-sub-menu-title, .mc-menu-item-group-title', {
                padding: '0 16px'
            }),
            (0, _utils_1.c)('.mc-menu-item-group-children', [
                (0, _utils_1.c)('.mc-menu-item, .mc-sub-menu-title', {
                    padding: '0 16px 0 32px'
                })
            ])
        ])
    ]),
    (0, _utils_1.c)('.mc-menu.mc-menu--horizontal', {
        display: 'flex'
    }, [
        (0, _utils_1.c)('.mc-menu-item,  .mc-sub-menu-title, .mc-menu-item-group-title', {
            padding: '0 20px',
            height: '40px',
            cursor: 'pointer'
        }),
        (0, _utils_1.c)('.mc-menu-item, .mc-menu-item-group, .mc-sub-menu', {
            margin: 0
        })
    ])
]);
