import { PropType, CSSProperties } from 'vue';
import { PopoverProps } from '../popover';
export declare type OnCancelImpl = () => Promise<boolean | undefined | void> | boolean | undefined | void;
export declare type OnConfirmImpl = () => Promise<boolean | undefined | void> | boolean | undefined | void;
export interface PopconfirmProps {
    cancelText: string | null;
    confirmText: string | null;
    cancelDisabled: boolean;
    confirmDisabled: boolean;
    hideIcon: boolean;
    onCancel?: OnCancelImpl;
    onConfirm?: OnConfirmImpl;
    contentStyle?: string | CSSProperties;
}
export declare const popconfirmProps: {
    cancelText: {
        type: PropType<string | null>;
        default: string;
    };
    confirmText: {
        type: PropType<string | null>;
        default: string;
    };
    cancelDisabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    confirmDisabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    hideIcon: {
        type: PropType<boolean>;
        default: boolean;
    };
    onCancel: {
        type: PropType<OnCancelImpl | undefined>;
        default: undefined;
    };
    onConfirm: {
        type: PropType<OnConfirmImpl | undefined>;
        default: undefined;
    };
    contentStyle: {
        type: PropType<string | CSSProperties | undefined>;
        default: undefined;
    };
};
export declare const popconfirmEmits: never[];
export declare type PopconfirmMergedProps = PopconfirmProps & PopoverProps;
