"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
const _utils_1 = require("../_utils_");
const interface_1 = require("./interface");
const styles_1 = require("./styles");
exports.default = (0, vue_1.defineComponent)({
    name: 'Space',
    props: interface_1.spaceProps,
    setup(props, { slots }) {
        // theme register
        (0, vue_1.onMounted)(() => {
            (0, _utils_1.useThemeRegister)({
                key: 'Space',
                main: styles_1.mainCssr
            });
        });
        const { vertical, gap, itemStyle, justify } = (0, vue_1.toRefs)(props);
        const cssVars = (0, vue_1.computed)(() => {
            return {
                '--space-direction': vertical.value ? 'column' : 'row',
                '--space-justify': justify.value,
                '--space-item-gap': vertical.value ? `0 0 ${gap.value}px 0` : `0 ${gap.value}px 0 0`
            };
        });
        return () => {
            const spaceItems = (0, _utils_1.flattenWithOptions)({ slots });
            return (0, vue_1.createVNode)('div', { class: ['mc-space', { 'mc-space--vertical': vertical.value }], style: cssVars.value }, spaceItems.map(item => {
                return (0, vue_1.createVNode)('div', { class: 'mc-space-item', style: itemStyle.value }, [item]);
            }));
        };
    }
});
