"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
const _utils_1 = require("../_utils_");
const interface_1 = require("./interface");
exports.default = (0, vue_1.defineComponent)({
    name: 'SplitPane',
    iKey: interface_1.SplitPaneIKey,
    setup(props, { slots }) {
        var _a;
        const key = (0, _utils_1.createKey)('split-pane');
        const { parentWidth, splitPaneInitialWidth, BusResize } = (_a = (0, vue_1.inject)(interface_1.splitInjectionKey, null)) !== null && _a !== void 0 ? _a : {};
        const widthPercentage = (0, vue_1.ref)(splitPaneInitialWidth === null || splitPaneInitialWidth === void 0 ? void 0 : splitPaneInitialWidth.value);
        console.log(widthPercentage.value);
        const updateSize = ({ dragSize, prevPaneKey, nextPaneKey }) => {
            if (!(parentWidth === null || parentWidth === void 0 ? void 0 : parentWidth.value))
                return;
            let calSize = 0;
            if (key === prevPaneKey) {
                calSize = (dragSize * 5) / parentWidth.value;
            }
            else if (key === nextPaneKey) {
                calSize = (-dragSize * 5) / parentWidth.value;
            }
            widthPercentage.value = (+(widthPercentage.value || 0) + calSize).toString();
        };
        if (BusResize) {
            BusResize.on(updateSize);
        }
        return () => (0, vue_1.createVNode)('div', {
            class: 'mc-split-pane',
            style: { width: widthPercentage.value + '%' },
            'data-key': key
        }, [(0, vue_1.renderSlot)(slots, 'default')]);
    }
});
