"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
const interface_1 = require("./interface");
exports.default = (0, vue_1.defineComponent)({
    name: 'Splitter',
    setup() {
        var _a;
        const { parentWidth, BusResize } = (_a = (0, vue_1.inject)(interface_1.splitInjectionKey, null)) !== null && _a !== void 0 ? _a : {};
        const splitterElRef = (0, vue_1.ref)();
        const prevSplitPaneDataKey = (0, vue_1.computed)(() => {
            var _a;
            return ((_a = splitterElRef.value) === null || _a === void 0 ? void 0 : _a.previousElementSibling).dataset.key;
        });
        const nextSplitPaneDataKey = (0, vue_1.computed)(() => {
            var _a;
            return ((_a = splitterElRef.value) === null || _a === void 0 ? void 0 : _a.nextElementSibling).dataset.key;
        });
        const handleMousedown = (e) => {
            const { clientX: startX, clientY: startY } = e;
            const { value: prevPaneKey } = prevSplitPaneDataKey;
            const { value: nextPaneKey } = nextSplitPaneDataKey;
            // console.log(prevRect);
            // console.log(prevSplitPane.value.style.width);
            // console.log(getComputedStyle(prevSplitPane.value).width);
            // getComputedStyle(prevSplitPane.value);
            const move = (moveEvent) => {
                const { clientX: curX, clientY: curY } = moveEvent;
                console.log(curX - startX);
                BusResize === null || BusResize === void 0 ? void 0 : BusResize.emit({
                    dragSize: curX - startX,
                    prevPaneKey,
                    nextPaneKey
                });
            };
            const up = (upEvent) => {
                document.removeEventListener('mousemove', move);
                document.removeEventListener('mouseup', up);
            };
            document.addEventListener('mousemove', move);
            document.addEventListener('mouseup', up);
        };
        const splitterMarkerVNode = (0, vue_1.computed)(() => {
            return (0, vue_1.createVNode)('div', { class: 'mc-splitter__marker' });
        });
        return () => (0, vue_1.createVNode)('div', { ref: splitterElRef, class: 'mc-splitter', onMousedown: handleMousedown }, [splitterMarkerVNode.value]);
    }
});
