import { RemovableRef } from '@vueuse/core';
import { defineTheme } from './_utils_';
import type { EventHookOn } from '@vueuse/core';
declare type ThemeType = 'light' | 'dark' | string;
interface ThemeControlOptions {
    initialTheme?: ThemeType;
    useOsTheme?: boolean;
}
export declare const globalTheme: RemovableRef<ThemeType>;
export declare const isLight: import("vue").ComputedRef<boolean>;
export declare const isDark: import("vue").ComputedRef<boolean>;
/**
 * User's integrate theme controller
 */
export declare function useThemeController(options?: ThemeControlOptions): {
    current: RemovableRef<string>;
    isDark: import("vue").ComputedRef<boolean>;
    isLight: import("vue").ComputedRef<boolean>;
    setTheme: (theme?: ThemeType) => void;
    switchTheme(): void;
    onThemeChange: EventHookOn<string>;
    defineTheme: typeof defineTheme;
};
export {};
