"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
const _utils_1 = require("../_utils_");
const lodash_es_1 = require("lodash-es");
const popover_1 = require("../popover");
const interface_1 = require("../popover/interface");
const interface_2 = require("./interface");
const styles_1 = require("./styles");
exports.default = (0, vue_1.defineComponent)({
    name: 'Tooltip',
    props: Object.assign(Object.assign({}, interface_1.popoverProps), interface_2.tooltipProps),
    setup(props, { slots }) {
        // theme register
        (0, vue_1.onMounted)(() => {
            (0, _utils_1.useThemeRegister)({
                key: 'Tooltip',
                light: styles_1.lightCssr,
                dark: styles_1.darkCssr
            });
        });
        return () => {
            const mergedProps = (0, vue_1.mergeProps)((0, lodash_es_1.omit)(props, Object.keys(interface_2.tooltipProps)), {
                class: 'mc-tooltip'
            });
            return (0, _utils_1.createComponentVNode)(popover_1.McPopover, mergedProps, {
                default: () => (0, vue_1.renderSlot)(slots, 'default'),
                content: () => (0, _utils_1.propsMergeSlots)(props, slots, 'content'),
                _: 3 /* SlotFlags.FORWARDED */
            }, 16 /* PatchFlags.FULL_PROPS */);
        };
    }
});
